Create Flight Order
curl --request POST \
--url https://api.aisa.one/apis/v1/duffel/flights/orders/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"passengers": [
{
"born_on": "1987-07-24",
"email": "amelia@duffel.com",
"family_name": "Earhart",
"gender": "f",
"given_name": "Amelia",
"id": "pas_00009hj8USM7Ncg31cBCLL",
"phone_number": "+442080160509",
"title": "mrs",
"identity_documents": [
{
"expires_on": "2025-04-25",
"issuing_country_code": "GB",
"type": "passport",
"unique_identifier": "19KL56147"
}
],
"infant_passenger_id": "pas_00009hj8USM8Ncg32aTGHL",
"user_id": "icu_00009htyDGjIfajdNBZRlw"
}
],
"payments": [
{
"amount": "30.20",
"currency": "GBP",
"type": "balance",
"three_d_secure_session_id": "3ds_0000AWr2XsTRIF1Vp34gh5"
}
],
"selected_offers": [
"off_00009htyDGjIfajdNBZRlw"
],
"metadata": {
"payment_intent_id": "pit_00009htYpSCXrwaB9DnUm2"
},
"services": [
{
"id": "ase_00009hj8USM7Ncg31cB123",
"quantity": 1
}
],
"type": "instant",
"users": [
"icu_00009htyDGjIfajdNBZRlw"
]
}
}
'import requests
url = "https://api.aisa.one/apis/v1/duffel/flights/orders/create"
payload = { "data": {
"passengers": [
{
"born_on": "1987-07-24",
"email": "amelia@duffel.com",
"family_name": "Earhart",
"gender": "f",
"given_name": "Amelia",
"id": "pas_00009hj8USM7Ncg31cBCLL",
"phone_number": "+442080160509",
"title": "mrs",
"identity_documents": [
{
"expires_on": "2025-04-25",
"issuing_country_code": "GB",
"type": "passport",
"unique_identifier": "19KL56147"
}
],
"infant_passenger_id": "pas_00009hj8USM8Ncg32aTGHL",
"user_id": "icu_00009htyDGjIfajdNBZRlw"
}
],
"payments": [
{
"amount": "30.20",
"currency": "GBP",
"type": "balance",
"three_d_secure_session_id": "3ds_0000AWr2XsTRIF1Vp34gh5"
}
],
"selected_offers": ["off_00009htyDGjIfajdNBZRlw"],
"metadata": { "payment_intent_id": "pit_00009htYpSCXrwaB9DnUm2" },
"services": [
{
"id": "ase_00009hj8USM7Ncg31cB123",
"quantity": 1
}
],
"type": "instant",
"users": ["icu_00009htyDGjIfajdNBZRlw"]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
passengers: [
{
born_on: '1987-07-24',
email: 'amelia@duffel.com',
family_name: 'Earhart',
gender: 'f',
given_name: 'Amelia',
id: 'pas_00009hj8USM7Ncg31cBCLL',
phone_number: '+442080160509',
title: 'mrs',
identity_documents: [
{
expires_on: '2025-04-25',
issuing_country_code: 'GB',
type: 'passport',
unique_identifier: '19KL56147'
}
],
infant_passenger_id: 'pas_00009hj8USM8Ncg32aTGHL',
user_id: 'icu_00009htyDGjIfajdNBZRlw'
}
],
payments: [
{
amount: '30.20',
currency: 'GBP',
type: 'balance',
three_d_secure_session_id: '3ds_0000AWr2XsTRIF1Vp34gh5'
}
],
selected_offers: ['off_00009htyDGjIfajdNBZRlw'],
metadata: {payment_intent_id: 'pit_00009htYpSCXrwaB9DnUm2'},
services: [{id: 'ase_00009hj8USM7Ncg31cB123', quantity: 1}],
type: 'instant',
users: ['icu_00009htyDGjIfajdNBZRlw']
}
})
};
fetch('https://api.aisa.one/apis/v1/duffel/flights/orders/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/duffel/flights/orders/create",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'passengers' => [
[
'born_on' => '1987-07-24',
'email' => 'amelia@duffel.com',
'family_name' => 'Earhart',
'gender' => 'f',
'given_name' => 'Amelia',
'id' => 'pas_00009hj8USM7Ncg31cBCLL',
'phone_number' => '+442080160509',
'title' => 'mrs',
'identity_documents' => [
[
'expires_on' => '2025-04-25',
'issuing_country_code' => 'GB',
'type' => 'passport',
'unique_identifier' => '19KL56147'
]
],
'infant_passenger_id' => 'pas_00009hj8USM8Ncg32aTGHL',
'user_id' => 'icu_00009htyDGjIfajdNBZRlw'
]
],
'payments' => [
[
'amount' => '30.20',
'currency' => 'GBP',
'type' => 'balance',
'three_d_secure_session_id' => '3ds_0000AWr2XsTRIF1Vp34gh5'
]
],
'selected_offers' => [
'off_00009htyDGjIfajdNBZRlw'
],
'metadata' => [
'payment_intent_id' => 'pit_00009htYpSCXrwaB9DnUm2'
],
'services' => [
[
'id' => 'ase_00009hj8USM7Ncg31cB123',
'quantity' => 1
]
],
'type' => 'instant',
'users' => [
'icu_00009htyDGjIfajdNBZRlw'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/duffel/flights/orders/create"
payload := strings.NewReader("{\n \"data\": {\n \"passengers\": [\n {\n \"born_on\": \"1987-07-24\",\n \"email\": \"amelia@duffel.com\",\n \"family_name\": \"Earhart\",\n \"gender\": \"f\",\n \"given_name\": \"Amelia\",\n \"id\": \"pas_00009hj8USM7Ncg31cBCLL\",\n \"phone_number\": \"+442080160509\",\n \"title\": \"mrs\",\n \"identity_documents\": [\n {\n \"expires_on\": \"2025-04-25\",\n \"issuing_country_code\": \"GB\",\n \"type\": \"passport\",\n \"unique_identifier\": \"19KL56147\"\n }\n ],\n \"infant_passenger_id\": \"pas_00009hj8USM8Ncg32aTGHL\",\n \"user_id\": \"icu_00009htyDGjIfajdNBZRlw\"\n }\n ],\n \"payments\": [\n {\n \"amount\": \"30.20\",\n \"currency\": \"GBP\",\n \"type\": \"balance\",\n \"three_d_secure_session_id\": \"3ds_0000AWr2XsTRIF1Vp34gh5\"\n }\n ],\n \"selected_offers\": [\n \"off_00009htyDGjIfajdNBZRlw\"\n ],\n \"metadata\": {\n \"payment_intent_id\": \"pit_00009htYpSCXrwaB9DnUm2\"\n },\n \"services\": [\n {\n \"id\": \"ase_00009hj8USM7Ncg31cB123\",\n \"quantity\": 1\n }\n ],\n \"type\": \"instant\",\n \"users\": [\n \"icu_00009htyDGjIfajdNBZRlw\"\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/duffel/flights/orders/create")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"passengers\": [\n {\n \"born_on\": \"1987-07-24\",\n \"email\": \"amelia@duffel.com\",\n \"family_name\": \"Earhart\",\n \"gender\": \"f\",\n \"given_name\": \"Amelia\",\n \"id\": \"pas_00009hj8USM7Ncg31cBCLL\",\n \"phone_number\": \"+442080160509\",\n \"title\": \"mrs\",\n \"identity_documents\": [\n {\n \"expires_on\": \"2025-04-25\",\n \"issuing_country_code\": \"GB\",\n \"type\": \"passport\",\n \"unique_identifier\": \"19KL56147\"\n }\n ],\n \"infant_passenger_id\": \"pas_00009hj8USM8Ncg32aTGHL\",\n \"user_id\": \"icu_00009htyDGjIfajdNBZRlw\"\n }\n ],\n \"payments\": [\n {\n \"amount\": \"30.20\",\n \"currency\": \"GBP\",\n \"type\": \"balance\",\n \"three_d_secure_session_id\": \"3ds_0000AWr2XsTRIF1Vp34gh5\"\n }\n ],\n \"selected_offers\": [\n \"off_00009htyDGjIfajdNBZRlw\"\n ],\n \"metadata\": {\n \"payment_intent_id\": \"pit_00009htYpSCXrwaB9DnUm2\"\n },\n \"services\": [\n {\n \"id\": \"ase_00009hj8USM7Ncg31cB123\",\n \"quantity\": 1\n }\n ],\n \"type\": \"instant\",\n \"users\": [\n \"icu_00009htyDGjIfajdNBZRlw\"\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/duffel/flights/orders/create")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": {\n \"passengers\": [\n {\n \"born_on\": \"1987-07-24\",\n \"email\": \"amelia@duffel.com\",\n \"family_name\": \"Earhart\",\n \"gender\": \"f\",\n \"given_name\": \"Amelia\",\n \"id\": \"pas_00009hj8USM7Ncg31cBCLL\",\n \"phone_number\": \"+442080160509\",\n \"title\": \"mrs\",\n \"identity_documents\": [\n {\n \"expires_on\": \"2025-04-25\",\n \"issuing_country_code\": \"GB\",\n \"type\": \"passport\",\n \"unique_identifier\": \"19KL56147\"\n }\n ],\n \"infant_passenger_id\": \"pas_00009hj8USM8Ncg32aTGHL\",\n \"user_id\": \"icu_00009htyDGjIfajdNBZRlw\"\n }\n ],\n \"payments\": [\n {\n \"amount\": \"30.20\",\n \"currency\": \"GBP\",\n \"type\": \"balance\",\n \"three_d_secure_session_id\": \"3ds_0000AWr2XsTRIF1Vp34gh5\"\n }\n ],\n \"selected_offers\": [\n \"off_00009htyDGjIfajdNBZRlw\"\n ],\n \"metadata\": {\n \"payment_intent_id\": \"pit_00009htYpSCXrwaB9DnUm2\"\n },\n \"services\": [\n {\n \"id\": \"ase_00009hj8USM7Ncg31cB123\",\n \"quantity\": 1\n }\n ],\n \"type\": \"instant\",\n \"users\": [\n \"icu_00009htyDGjIfajdNBZRlw\"\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"available_actions": [
"<string>"
],
"booking_reference": "DJMT4D",
"documents": [
{
"id": "<string>",
"type": "electronic_ticket",
"unique_id": "<string>"
}
],
"id": "ord_0000BAzrYIJiDdmFJKIhcy",
"live_mode": true,
"total_amount": "<string>",
"total_currency": "<string>"
}
}{
"data": {
"airline_initiated_changes": [
{
"action_taken": "accepted",
"action_taken_at": "2022-01-17T10:12:14.545Z",
"added": [
{
"conditions": {
"change_before_departure": {
"allowed": true,
"penalty_amount": "100.00",
"penalty_currency": "GBP"
}
},
"destination": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"destination_type": "airport",
"duration": "PT02H26M",
"id": "sli_00009htYpSCXrwaB9Dn123",
"origin": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"origin_type": "airport",
"segments": [
{
"aircraft": {
"iata_code": "380",
"id": "arc_00009UhD4ongolulWd91Ky",
"name": "Airbus Industries A380"
},
"arriving_at": "2020-06-13T16:38:02",
"departing_at": "2020-06-13T16:38:02",
"destination": {
"city": {
"iata_code": "NYC",
"iata_country_code": "US",
"id": "cit_nyc_us",
"name": "New York"
},
"city_name": "New York",
"iata_city_code": "NYC",
"iata_code": "JFK",
"iata_country_code": "US",
"icao_code": "KJFK",
"id": "arp_jfk_us",
"latitude": 40.640556,
"longitude": -73.778519,
"name": "John F. Kennedy International Airport",
"time_zone": "America/New_York"
},
"destination_terminal": "5",
"distance": "424.2",
"duration": "PT02H26M",
"id": "seg_00009htYpSCXrwaB9Dn456",
"marketing_carrier": {
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage",
"iata_code": "BA",
"id": "arl_00001876aqC8c5umZmrRds",
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",
"name": "British Airways"
},
"marketing_carrier_flight_number": "1234",
"operating_carrier": {
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage",
"iata_code": "BA",
"id": "arl_00001876aqC8c5umZmrRds",
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",
"name": "British Airways"
},
"origin": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"origin_terminal": "B",
"passengers": [
{
"baggages": [
{
"quantity": 1,
"type": "checked"
}
],
"cabin_class": "economy",
"cabin_class_marketing_name": "Economy Basic",
"passenger_id": "passenger_0",
"seat": {
"designator": "14B",
"disclosures": [
"Do not seat children in exit row seats",
"Do not seat passengers with special needs in exit row seats"
],
"name": "Exit row seat"
}
}
],
"operating_carrier_flight_number": "4321",
"stops": [
{
"airport": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"arriving_at": "2020-06-13T16:38:02",
"departing_at": "2020-06-13T16:38:02",
"duration": "PT02H26M",
"id": "sto_00009htYpSCXrwaB9Dn456"
}
]
}
],
"fare_brand_name": "Basic"
}
],
"available_actions": [
"accept",
"cancel",
"change"
],
"created_at": "2020-04-11T15:48:11.642Z",
"id": "aic_00001876aqC8c5umZmrRds",
"order_id": "xxx_00009hthhsUZ8W4LxQgkjo",
"removed": [
{
"conditions": {
"change_before_departure": {
"allowed": true,
"penalty_amount": "100.00",
"penalty_currency": "GBP"
}
},
"destination": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"destination_type": "airport",
"duration": "PT02H26M",
"id": "sli_00009htYpSCXrwaB9Dn123",
"origin": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"origin_type": "airport",
"segments": [
{
"aircraft": {
"iata_code": "380",
"id": "arc_00009UhD4ongolulWd91Ky",
"name": "Airbus Industries A380"
},
"arriving_at": "2020-06-13T16:38:02",
"departing_at": "2020-06-13T16:38:02",
"destination": {
"city": {
"iata_code": "NYC",
"iata_country_code": "US",
"id": "cit_nyc_us",
"name": "New York"
},
"city_name": "New York",
"iata_city_code": "NYC",
"iata_code": "JFK",
"iata_country_code": "US",
"icao_code": "KJFK",
"id": "arp_jfk_us",
"latitude": 40.640556,
"longitude": -73.778519,
"name": "John F. Kennedy International Airport",
"time_zone": "America/New_York"
},
"destination_terminal": "5",
"distance": "424.2",
"duration": "PT02H26M",
"id": "seg_00009htYpSCXrwaB9Dn456",
"marketing_carrier": {
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage",
"iata_code": "BA",
"id": "arl_00001876aqC8c5umZmrRds",
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",
"name": "British Airways"
},
"marketing_carrier_flight_number": "1234",
"operating_carrier": {
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage",
"iata_code": "BA",
"id": "arl_00001876aqC8c5umZmrRds",
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",
"name": "British Airways"
},
"origin": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"origin_terminal": "B",
"passengers": [
{
"baggages": [
{
"quantity": 1,
"type": "checked"
}
],
"cabin_class": "economy",
"cabin_class_marketing_name": "Economy Basic",
"passenger_id": "passenger_0",
"seat": {
"designator": "14B",
"disclosures": [
"Do not seat children in exit row seats",
"Do not seat passengers with special needs in exit row seats"
],
"name": "Exit row seat"
}
}
],
"operating_carrier_flight_number": "4321",
"stops": [
{
"airport": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"arriving_at": "2020-06-13T16:38:02",
"departing_at": "2020-06-13T16:38:02",
"duration": "PT02H26M",
"id": "sto_00009htYpSCXrwaB9Dn456"
}
]
}
],
"fare_brand_name": "Basic"
}
],
"travel_agent_ticket": {},
"updated_at": "2020-01-17T10:12:14.545Z"
}
],
"base_amount": "60.60",
"base_currency": "GBP",
"booking_reference": "RZPNX8",
"cancellation": {
"airline_credits": [
{
"amount": "90.80",
"amount_currency": "GBP",
"code": "1234567890123",
"id": "act_00009qzZWzjDipIkqpaUAj",
"issued_on": "2023-02-24",
"passenger_id": "pas_00009hj8USM7Ncg31cBCLL",
"type": "eticket",
"credit_amount": "90.80",
"credit_code": "1234567890123",
"credit_currency": "GBP",
"credit_name": "Duffel Travel Credit"
}
],
"confirmed_at": "2020-01-17T11:51:43.114803Z",
"created_at": "2020-04-11T15:48:11.642Z",
"expires_at": "2020-01-17T10:42:14Z",
"id": "ore_00009qzZWzjDipIkqpaUAj",
"live_mode": false,
"order_id": "xxx_00009hthhsUZ8W4LxQgkjo",
"refund_amount": "90.80",
"refund_currency": "GBP",
"refund_to": "arc_bsp_cash"
},
"cancelled_at": "2020-04-11T15:48:11.642Z",
"changes": [
{
"change_total_amount": "30.50",
"change_total_currency": "GBP",
"confirmed_at": "2020-01-17T11:51:43.114803Z",
"created_at": "2020-04-11T15:48:11.642Z",
"expires_at": "2020-01-17T10:42:14.545052Z",
"id": "ocr_0000A3tQSmKyqOrcySrGbo",
"live_mode": false,
"new_total_amount": "121.30",
"new_total_currency": "GBP",
"order_id": "ord_0000A3tQcCRZ9R8OY0QlxA",
"penalty_total_amount": "15.50",
"penalty_total_currency": "GBP",
"refund_to": "voucher",
"slices": {
"add": [
{
"destination": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"destination_type": "airport",
"duration": "PT02H26M",
"fare_brand_name": "Basic",
"id": "xxx_00009hthhsUZ8W4LxQgkjo",
"origin": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"origin_type": "airport",
"segments": [
{
"aircraft": {
"iata_code": "380",
"id": "arc_00009UhD4ongolulWd91Ky",
"name": "Airbus Industries A380"
},
"arriving_at": "2020-06-13T16:38:02",
"departing_at": "2020-06-13T16:38:02",
"destination": {
"city": {
"iata_code": "NYC",
"iata_country_code": "US",
"id": "cit_nyc_us",
"name": "New York"
},
"city_name": "New York",
"iata_city_code": "NYC",
"iata_code": "JFK",
"iata_country_code": "US",
"icao_code": "KJFK",
"id": "arp_jfk_us",
"latitude": 40.640556,
"longitude": -73.778519,
"name": "John F. Kennedy International Airport",
"time_zone": "America/New_York"
},
"destination_terminal": "5",
"distance": "424.2",
"duration": "PT02H26M",
"id": "xxx_00009hthhsUZ8W4LxQgkjo",
"marketing_carrier": {
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage",
"iata_code": "BA",
"id": "arl_00001876aqC8c5umZmrRds",
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",
"name": "British Airways"
},
"marketing_carrier_flight_number": "1234",
"operating_carrier": {
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage",
"iata_code": "BA",
"id": "arl_00001876aqC8c5umZmrRds",
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",
"name": "British Airways"
},
"operating_carrier_flight_number": "4321",
"origin": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"origin_terminal": "B",
"passengers": [
{
"baggages": [
{
"quantity": 1,
"type": "checked"
}
],
"cabin_class": "economy",
"cabin_class_marketing_name": "Economy Basic",
"passenger_id": "passenger_0",
"seat": {
"designator": "14B",
"disclosures": [
"Do not seat children in exit row seats",
"Do not seat passengers with special needs in exit row seats"
],
"name": "Exit row seat"
}
}
]
}
]
}
],
"remove": [
{
"destination": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"destination_type": "airport",
"duration": "PT02H26M",
"fare_brand_name": "Basic",
"id": "xxx_00009hthhsUZ8W4LxQgkjo",
"origin": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"origin_type": "airport",
"segments": [
{
"aircraft": {
"iata_code": "380",
"id": "arc_00009UhD4ongolulWd91Ky",
"name": "Airbus Industries A380"
},
"arriving_at": "2020-06-13T16:38:02",
"departing_at": "2020-06-13T16:38:02",
"destination": {
"city": {
"iata_code": "NYC",
"iata_country_code": "US",
"id": "cit_nyc_us",
"name": "New York"
},
"city_name": "New York",
"iata_city_code": "NYC",
"iata_code": "JFK",
"iata_country_code": "US",
"icao_code": "KJFK",
"id": "arp_jfk_us",
"latitude": 40.640556,
"longitude": -73.778519,
"name": "John F. Kennedy International Airport",
"time_zone": "America/New_York"
},
"destination_terminal": "5",
"distance": "424.2",
"duration": "PT02H26M",
"id": "xxx_00009hthhsUZ8W4LxQgkjo",
"marketing_carrier": {
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage",
"iata_code": "BA",
"id": "arl_00001876aqC8c5umZmrRds",
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",
"name": "British Airways"
},
"marketing_carrier_flight_number": "1234",
"operating_carrier": {
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage",
"iata_code": "BA",
"id": "arl_00001876aqC8c5umZmrRds",
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",
"name": "British Airways"
},
"operating_carrier_flight_number": "4321",
"origin": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"origin_terminal": "B",
"passengers": [
{
"baggages": [
{
"quantity": 1,
"type": "checked"
}
],
"cabin_class": "economy",
"cabin_class_marketing_name": "Economy Basic",
"passenger_id": "passenger_0",
"seat": {
"designator": "14B",
"disclosures": [
"Do not seat children in exit row seats",
"Do not seat passengers with special needs in exit row seats"
],
"name": "Exit row seat"
}
}
]
}
]
}
]
}
}
],
"conditions": {
"change_before_departure": {
"allowed": true,
"penalty_amount": "100.00",
"penalty_currency": "GBP"
},
"refund_before_departure": {
"allowed": true,
"penalty_amount": "100.00",
"penalty_currency": "GBP"
}
},
"created_at": "2020-04-11T15:48:11.642Z",
"documents": [
{
"passenger_ids": [
"pas_00009hj8USM7Ncg31cBCLL"
],
"type": "electronic_ticket",
"unique_identifier": "1252106312810"
}
],
"id": "ord_00009hthhsUZ8W4LxQgkjo",
"live_mode": false,
"metadata": {
"customer_prefs": "window seat",
"payment_intent_id": "pit_00009htYpSCXrwaB9DnUm2"
},
"offer_id": "off_00009htYpSCXrwaB9DnUm0",
"owner": {
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage",
"iata_code": "BA",
"id": "arl_00001876aqC8c5umZmrRds",
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",
"name": "British Airways"
},
"passengers": [
{
"born_on": "1987-07-24",
"email": "amelia@duffel.com",
"family_name": "Earhart",
"gender": "f",
"given_name": "Amelia",
"id": "pas_00009hj8USM7Ncg31cBCLL",
"infant_passenger_id": "pas_00009hj8USM8Ncg32aTGHL",
"loyalty_programme_accounts": [
{
"account_number": "12901014",
"airline_iata_code": "BA"
}
],
"phone_number": "+442080160509",
"title": "mrs",
"type": "adult"
}
],
"payment_status": {
"awaiting_payment": true,
"paid_at": "2020-01-17T10:42:14.545Z",
"payment_required_by": "2020-01-17T10:42:14.545Z",
"price_guarantee_expires_at": "2020-01-17T10:42:14.545Z"
},
"services": [
{
"id": "ser_00009UhD4ongolulWd9123",
"metadata": {
"type": "checked",
"maximum_depth_cm": 75,
"maximum_height_cm": 90,
"maximum_length_cm": 90,
"maximum_weight_kg": 23
},
"passenger_ids": [
"pas_00009hj8USM7Ncg31cBCLL"
],
"quantity": 1,
"segment_ids": [
"seg_00009hj8USM7Ncg31cB456"
],
"total_amount": "15.00",
"total_currency": "GBP",
"type": "seat"
}
],
"slices": [
{
"conditions": {
"change_before_departure": {
"allowed": true,
"penalty_amount": "100.00",
"penalty_currency": "GBP"
}
},
"destination": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"destination_type": "airport",
"duration": "PT02H26M",
"id": "sli_00009htYpSCXrwaB9Dn123",
"origin": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"origin_type": "airport",
"segments": [
{
"aircraft": {
"iata_code": "380",
"id": "arc_00009UhD4ongolulWd91Ky",
"name": "Airbus Industries A380"
},
"arriving_at": "2020-06-13T16:38:02",
"departing_at": "2020-06-13T16:38:02",
"destination": {
"city": {
"iata_code": "NYC",
"iata_country_code": "US",
"id": "cit_nyc_us",
"name": "New York"
},
"city_name": "New York",
"iata_city_code": "NYC",
"iata_code": "JFK",
"iata_country_code": "US",
"icao_code": "KJFK",
"id": "arp_jfk_us",
"latitude": 40.640556,
"longitude": -73.778519,
"name": "John F. Kennedy International Airport",
"time_zone": "America/New_York"
},
"destination_terminal": "5",
"distance": "424.2",
"duration": "PT02H26M",
"id": "seg_00009htYpSCXrwaB9Dn456",
"marketing_carrier": {
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage",
"iata_code": "BA",
"id": "arl_00001876aqC8c5umZmrRds",
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",
"name": "British Airways"
},
"marketing_carrier_flight_number": "1234",
"operating_carrier": {
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage",
"iata_code": "BA",
"id": "arl_00001876aqC8c5umZmrRds",
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",
"name": "British Airways"
},
"origin": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"origin_terminal": "B",
"passengers": [
{
"baggages": [
{
"quantity": 1,
"type": "checked"
}
],
"cabin_class": "economy",
"cabin_class_marketing_name": "Economy Basic",
"passenger_id": "passenger_0",
"seat": {
"designator": "14B",
"disclosures": [
"Do not seat children in exit row seats",
"Do not seat passengers with special needs in exit row seats"
],
"name": "Exit row seat"
}
}
],
"operating_carrier_flight_number": "4321",
"stops": [
{
"airport": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"arriving_at": "2020-06-13T16:38:02",
"departing_at": "2020-06-13T16:38:02",
"duration": "PT02H26M",
"id": "sto_00009htYpSCXrwaB9Dn456"
}
]
}
],
"fare_brand_name": "Basic"
}
],
"synced_at": "2020-04-11T15:48:11Z",
"tax_amount": "30.20",
"tax_currency": "GBP",
"total_amount": "90.80",
"total_currency": "GBP",
"void_window_ends_at": "2020-04-11T15:48:11Z",
"available_actions": [
"cancel",
"update"
],
"booking_references": [
{
"booking_reference": "RZPNX8",
"carrier": {
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage",
"iata_code": "BA",
"id": "arl_00001876aqC8c5umZmrRds",
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",
"name": "British Airways"
}
}
],
"content": "self_managed",
"intended_payment_methods": [
{
"card_id": "tcd_0000A3t2sL46m5eDF45kWW",
"charge_amount": "500.20",
"charge_currency": "GBP",
"surcharge_amount": "30.20",
"surcharge_currency": "GBP",
"type": "card"
}
],
"tax_breakdown": [
{
"amount": "26.00",
"carrier_imposed": false,
"code": "GB",
"currency": "GBP",
"description": "UK Air Passenger Duty, an excise duty charged on each passenger departing from a UK airport, banded by distance and cabin.",
"name": "UK Air Passenger Duty"
}
],
"type": "instant",
"users": [
"icu_00009htyDGjIfajdNBZRlw"
]
},
"meta": {
"after": "<string>",
"before": "<string>",
"limit": 123
}
}Orders
Create Flight Order
Book the selected offer and pay with your Aisa balance. Always refresh the offer immediately before ordering.
POST
https://api.aisa.one
/
apis
/
v1
/
duffel
/
flights
/
orders
/
create
Create Flight Order
curl --request POST \
--url https://api.aisa.one/apis/v1/duffel/flights/orders/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"passengers": [
{
"born_on": "1987-07-24",
"email": "amelia@duffel.com",
"family_name": "Earhart",
"gender": "f",
"given_name": "Amelia",
"id": "pas_00009hj8USM7Ncg31cBCLL",
"phone_number": "+442080160509",
"title": "mrs",
"identity_documents": [
{
"expires_on": "2025-04-25",
"issuing_country_code": "GB",
"type": "passport",
"unique_identifier": "19KL56147"
}
],
"infant_passenger_id": "pas_00009hj8USM8Ncg32aTGHL",
"user_id": "icu_00009htyDGjIfajdNBZRlw"
}
],
"payments": [
{
"amount": "30.20",
"currency": "GBP",
"type": "balance",
"three_d_secure_session_id": "3ds_0000AWr2XsTRIF1Vp34gh5"
}
],
"selected_offers": [
"off_00009htyDGjIfajdNBZRlw"
],
"metadata": {
"payment_intent_id": "pit_00009htYpSCXrwaB9DnUm2"
},
"services": [
{
"id": "ase_00009hj8USM7Ncg31cB123",
"quantity": 1
}
],
"type": "instant",
"users": [
"icu_00009htyDGjIfajdNBZRlw"
]
}
}
'import requests
url = "https://api.aisa.one/apis/v1/duffel/flights/orders/create"
payload = { "data": {
"passengers": [
{
"born_on": "1987-07-24",
"email": "amelia@duffel.com",
"family_name": "Earhart",
"gender": "f",
"given_name": "Amelia",
"id": "pas_00009hj8USM7Ncg31cBCLL",
"phone_number": "+442080160509",
"title": "mrs",
"identity_documents": [
{
"expires_on": "2025-04-25",
"issuing_country_code": "GB",
"type": "passport",
"unique_identifier": "19KL56147"
}
],
"infant_passenger_id": "pas_00009hj8USM8Ncg32aTGHL",
"user_id": "icu_00009htyDGjIfajdNBZRlw"
}
],
"payments": [
{
"amount": "30.20",
"currency": "GBP",
"type": "balance",
"three_d_secure_session_id": "3ds_0000AWr2XsTRIF1Vp34gh5"
}
],
"selected_offers": ["off_00009htyDGjIfajdNBZRlw"],
"metadata": { "payment_intent_id": "pit_00009htYpSCXrwaB9DnUm2" },
"services": [
{
"id": "ase_00009hj8USM7Ncg31cB123",
"quantity": 1
}
],
"type": "instant",
"users": ["icu_00009htyDGjIfajdNBZRlw"]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
passengers: [
{
born_on: '1987-07-24',
email: 'amelia@duffel.com',
family_name: 'Earhart',
gender: 'f',
given_name: 'Amelia',
id: 'pas_00009hj8USM7Ncg31cBCLL',
phone_number: '+442080160509',
title: 'mrs',
identity_documents: [
{
expires_on: '2025-04-25',
issuing_country_code: 'GB',
type: 'passport',
unique_identifier: '19KL56147'
}
],
infant_passenger_id: 'pas_00009hj8USM8Ncg32aTGHL',
user_id: 'icu_00009htyDGjIfajdNBZRlw'
}
],
payments: [
{
amount: '30.20',
currency: 'GBP',
type: 'balance',
three_d_secure_session_id: '3ds_0000AWr2XsTRIF1Vp34gh5'
}
],
selected_offers: ['off_00009htyDGjIfajdNBZRlw'],
metadata: {payment_intent_id: 'pit_00009htYpSCXrwaB9DnUm2'},
services: [{id: 'ase_00009hj8USM7Ncg31cB123', quantity: 1}],
type: 'instant',
users: ['icu_00009htyDGjIfajdNBZRlw']
}
})
};
fetch('https://api.aisa.one/apis/v1/duffel/flights/orders/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/duffel/flights/orders/create",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'passengers' => [
[
'born_on' => '1987-07-24',
'email' => 'amelia@duffel.com',
'family_name' => 'Earhart',
'gender' => 'f',
'given_name' => 'Amelia',
'id' => 'pas_00009hj8USM7Ncg31cBCLL',
'phone_number' => '+442080160509',
'title' => 'mrs',
'identity_documents' => [
[
'expires_on' => '2025-04-25',
'issuing_country_code' => 'GB',
'type' => 'passport',
'unique_identifier' => '19KL56147'
]
],
'infant_passenger_id' => 'pas_00009hj8USM8Ncg32aTGHL',
'user_id' => 'icu_00009htyDGjIfajdNBZRlw'
]
],
'payments' => [
[
'amount' => '30.20',
'currency' => 'GBP',
'type' => 'balance',
'three_d_secure_session_id' => '3ds_0000AWr2XsTRIF1Vp34gh5'
]
],
'selected_offers' => [
'off_00009htyDGjIfajdNBZRlw'
],
'metadata' => [
'payment_intent_id' => 'pit_00009htYpSCXrwaB9DnUm2'
],
'services' => [
[
'id' => 'ase_00009hj8USM7Ncg31cB123',
'quantity' => 1
]
],
'type' => 'instant',
'users' => [
'icu_00009htyDGjIfajdNBZRlw'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/duffel/flights/orders/create"
payload := strings.NewReader("{\n \"data\": {\n \"passengers\": [\n {\n \"born_on\": \"1987-07-24\",\n \"email\": \"amelia@duffel.com\",\n \"family_name\": \"Earhart\",\n \"gender\": \"f\",\n \"given_name\": \"Amelia\",\n \"id\": \"pas_00009hj8USM7Ncg31cBCLL\",\n \"phone_number\": \"+442080160509\",\n \"title\": \"mrs\",\n \"identity_documents\": [\n {\n \"expires_on\": \"2025-04-25\",\n \"issuing_country_code\": \"GB\",\n \"type\": \"passport\",\n \"unique_identifier\": \"19KL56147\"\n }\n ],\n \"infant_passenger_id\": \"pas_00009hj8USM8Ncg32aTGHL\",\n \"user_id\": \"icu_00009htyDGjIfajdNBZRlw\"\n }\n ],\n \"payments\": [\n {\n \"amount\": \"30.20\",\n \"currency\": \"GBP\",\n \"type\": \"balance\",\n \"three_d_secure_session_id\": \"3ds_0000AWr2XsTRIF1Vp34gh5\"\n }\n ],\n \"selected_offers\": [\n \"off_00009htyDGjIfajdNBZRlw\"\n ],\n \"metadata\": {\n \"payment_intent_id\": \"pit_00009htYpSCXrwaB9DnUm2\"\n },\n \"services\": [\n {\n \"id\": \"ase_00009hj8USM7Ncg31cB123\",\n \"quantity\": 1\n }\n ],\n \"type\": \"instant\",\n \"users\": [\n \"icu_00009htyDGjIfajdNBZRlw\"\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/duffel/flights/orders/create")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"passengers\": [\n {\n \"born_on\": \"1987-07-24\",\n \"email\": \"amelia@duffel.com\",\n \"family_name\": \"Earhart\",\n \"gender\": \"f\",\n \"given_name\": \"Amelia\",\n \"id\": \"pas_00009hj8USM7Ncg31cBCLL\",\n \"phone_number\": \"+442080160509\",\n \"title\": \"mrs\",\n \"identity_documents\": [\n {\n \"expires_on\": \"2025-04-25\",\n \"issuing_country_code\": \"GB\",\n \"type\": \"passport\",\n \"unique_identifier\": \"19KL56147\"\n }\n ],\n \"infant_passenger_id\": \"pas_00009hj8USM8Ncg32aTGHL\",\n \"user_id\": \"icu_00009htyDGjIfajdNBZRlw\"\n }\n ],\n \"payments\": [\n {\n \"amount\": \"30.20\",\n \"currency\": \"GBP\",\n \"type\": \"balance\",\n \"three_d_secure_session_id\": \"3ds_0000AWr2XsTRIF1Vp34gh5\"\n }\n ],\n \"selected_offers\": [\n \"off_00009htyDGjIfajdNBZRlw\"\n ],\n \"metadata\": {\n \"payment_intent_id\": \"pit_00009htYpSCXrwaB9DnUm2\"\n },\n \"services\": [\n {\n \"id\": \"ase_00009hj8USM7Ncg31cB123\",\n \"quantity\": 1\n }\n ],\n \"type\": \"instant\",\n \"users\": [\n \"icu_00009htyDGjIfajdNBZRlw\"\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/duffel/flights/orders/create")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": {\n \"passengers\": [\n {\n \"born_on\": \"1987-07-24\",\n \"email\": \"amelia@duffel.com\",\n \"family_name\": \"Earhart\",\n \"gender\": \"f\",\n \"given_name\": \"Amelia\",\n \"id\": \"pas_00009hj8USM7Ncg31cBCLL\",\n \"phone_number\": \"+442080160509\",\n \"title\": \"mrs\",\n \"identity_documents\": [\n {\n \"expires_on\": \"2025-04-25\",\n \"issuing_country_code\": \"GB\",\n \"type\": \"passport\",\n \"unique_identifier\": \"19KL56147\"\n }\n ],\n \"infant_passenger_id\": \"pas_00009hj8USM8Ncg32aTGHL\",\n \"user_id\": \"icu_00009htyDGjIfajdNBZRlw\"\n }\n ],\n \"payments\": [\n {\n \"amount\": \"30.20\",\n \"currency\": \"GBP\",\n \"type\": \"balance\",\n \"three_d_secure_session_id\": \"3ds_0000AWr2XsTRIF1Vp34gh5\"\n }\n ],\n \"selected_offers\": [\n \"off_00009htyDGjIfajdNBZRlw\"\n ],\n \"metadata\": {\n \"payment_intent_id\": \"pit_00009htYpSCXrwaB9DnUm2\"\n },\n \"services\": [\n {\n \"id\": \"ase_00009hj8USM7Ncg31cB123\",\n \"quantity\": 1\n }\n ],\n \"type\": \"instant\",\n \"users\": [\n \"icu_00009htyDGjIfajdNBZRlw\"\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"available_actions": [
"<string>"
],
"booking_reference": "DJMT4D",
"documents": [
{
"id": "<string>",
"type": "electronic_ticket",
"unique_id": "<string>"
}
],
"id": "ord_0000BAzrYIJiDdmFJKIhcy",
"live_mode": true,
"total_amount": "<string>",
"total_currency": "<string>"
}
}{
"data": {
"airline_initiated_changes": [
{
"action_taken": "accepted",
"action_taken_at": "2022-01-17T10:12:14.545Z",
"added": [
{
"conditions": {
"change_before_departure": {
"allowed": true,
"penalty_amount": "100.00",
"penalty_currency": "GBP"
}
},
"destination": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"destination_type": "airport",
"duration": "PT02H26M",
"id": "sli_00009htYpSCXrwaB9Dn123",
"origin": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"origin_type": "airport",
"segments": [
{
"aircraft": {
"iata_code": "380",
"id": "arc_00009UhD4ongolulWd91Ky",
"name": "Airbus Industries A380"
},
"arriving_at": "2020-06-13T16:38:02",
"departing_at": "2020-06-13T16:38:02",
"destination": {
"city": {
"iata_code": "NYC",
"iata_country_code": "US",
"id": "cit_nyc_us",
"name": "New York"
},
"city_name": "New York",
"iata_city_code": "NYC",
"iata_code": "JFK",
"iata_country_code": "US",
"icao_code": "KJFK",
"id": "arp_jfk_us",
"latitude": 40.640556,
"longitude": -73.778519,
"name": "John F. Kennedy International Airport",
"time_zone": "America/New_York"
},
"destination_terminal": "5",
"distance": "424.2",
"duration": "PT02H26M",
"id": "seg_00009htYpSCXrwaB9Dn456",
"marketing_carrier": {
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage",
"iata_code": "BA",
"id": "arl_00001876aqC8c5umZmrRds",
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",
"name": "British Airways"
},
"marketing_carrier_flight_number": "1234",
"operating_carrier": {
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage",
"iata_code": "BA",
"id": "arl_00001876aqC8c5umZmrRds",
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",
"name": "British Airways"
},
"origin": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"origin_terminal": "B",
"passengers": [
{
"baggages": [
{
"quantity": 1,
"type": "checked"
}
],
"cabin_class": "economy",
"cabin_class_marketing_name": "Economy Basic",
"passenger_id": "passenger_0",
"seat": {
"designator": "14B",
"disclosures": [
"Do not seat children in exit row seats",
"Do not seat passengers with special needs in exit row seats"
],
"name": "Exit row seat"
}
}
],
"operating_carrier_flight_number": "4321",
"stops": [
{
"airport": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"arriving_at": "2020-06-13T16:38:02",
"departing_at": "2020-06-13T16:38:02",
"duration": "PT02H26M",
"id": "sto_00009htYpSCXrwaB9Dn456"
}
]
}
],
"fare_brand_name": "Basic"
}
],
"available_actions": [
"accept",
"cancel",
"change"
],
"created_at": "2020-04-11T15:48:11.642Z",
"id": "aic_00001876aqC8c5umZmrRds",
"order_id": "xxx_00009hthhsUZ8W4LxQgkjo",
"removed": [
{
"conditions": {
"change_before_departure": {
"allowed": true,
"penalty_amount": "100.00",
"penalty_currency": "GBP"
}
},
"destination": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"destination_type": "airport",
"duration": "PT02H26M",
"id": "sli_00009htYpSCXrwaB9Dn123",
"origin": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"origin_type": "airport",
"segments": [
{
"aircraft": {
"iata_code": "380",
"id": "arc_00009UhD4ongolulWd91Ky",
"name": "Airbus Industries A380"
},
"arriving_at": "2020-06-13T16:38:02",
"departing_at": "2020-06-13T16:38:02",
"destination": {
"city": {
"iata_code": "NYC",
"iata_country_code": "US",
"id": "cit_nyc_us",
"name": "New York"
},
"city_name": "New York",
"iata_city_code": "NYC",
"iata_code": "JFK",
"iata_country_code": "US",
"icao_code": "KJFK",
"id": "arp_jfk_us",
"latitude": 40.640556,
"longitude": -73.778519,
"name": "John F. Kennedy International Airport",
"time_zone": "America/New_York"
},
"destination_terminal": "5",
"distance": "424.2",
"duration": "PT02H26M",
"id": "seg_00009htYpSCXrwaB9Dn456",
"marketing_carrier": {
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage",
"iata_code": "BA",
"id": "arl_00001876aqC8c5umZmrRds",
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",
"name": "British Airways"
},
"marketing_carrier_flight_number": "1234",
"operating_carrier": {
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage",
"iata_code": "BA",
"id": "arl_00001876aqC8c5umZmrRds",
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",
"name": "British Airways"
},
"origin": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"origin_terminal": "B",
"passengers": [
{
"baggages": [
{
"quantity": 1,
"type": "checked"
}
],
"cabin_class": "economy",
"cabin_class_marketing_name": "Economy Basic",
"passenger_id": "passenger_0",
"seat": {
"designator": "14B",
"disclosures": [
"Do not seat children in exit row seats",
"Do not seat passengers with special needs in exit row seats"
],
"name": "Exit row seat"
}
}
],
"operating_carrier_flight_number": "4321",
"stops": [
{
"airport": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"arriving_at": "2020-06-13T16:38:02",
"departing_at": "2020-06-13T16:38:02",
"duration": "PT02H26M",
"id": "sto_00009htYpSCXrwaB9Dn456"
}
]
}
],
"fare_brand_name": "Basic"
}
],
"travel_agent_ticket": {},
"updated_at": "2020-01-17T10:12:14.545Z"
}
],
"base_amount": "60.60",
"base_currency": "GBP",
"booking_reference": "RZPNX8",
"cancellation": {
"airline_credits": [
{
"amount": "90.80",
"amount_currency": "GBP",
"code": "1234567890123",
"id": "act_00009qzZWzjDipIkqpaUAj",
"issued_on": "2023-02-24",
"passenger_id": "pas_00009hj8USM7Ncg31cBCLL",
"type": "eticket",
"credit_amount": "90.80",
"credit_code": "1234567890123",
"credit_currency": "GBP",
"credit_name": "Duffel Travel Credit"
}
],
"confirmed_at": "2020-01-17T11:51:43.114803Z",
"created_at": "2020-04-11T15:48:11.642Z",
"expires_at": "2020-01-17T10:42:14Z",
"id": "ore_00009qzZWzjDipIkqpaUAj",
"live_mode": false,
"order_id": "xxx_00009hthhsUZ8W4LxQgkjo",
"refund_amount": "90.80",
"refund_currency": "GBP",
"refund_to": "arc_bsp_cash"
},
"cancelled_at": "2020-04-11T15:48:11.642Z",
"changes": [
{
"change_total_amount": "30.50",
"change_total_currency": "GBP",
"confirmed_at": "2020-01-17T11:51:43.114803Z",
"created_at": "2020-04-11T15:48:11.642Z",
"expires_at": "2020-01-17T10:42:14.545052Z",
"id": "ocr_0000A3tQSmKyqOrcySrGbo",
"live_mode": false,
"new_total_amount": "121.30",
"new_total_currency": "GBP",
"order_id": "ord_0000A3tQcCRZ9R8OY0QlxA",
"penalty_total_amount": "15.50",
"penalty_total_currency": "GBP",
"refund_to": "voucher",
"slices": {
"add": [
{
"destination": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"destination_type": "airport",
"duration": "PT02H26M",
"fare_brand_name": "Basic",
"id": "xxx_00009hthhsUZ8W4LxQgkjo",
"origin": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"origin_type": "airport",
"segments": [
{
"aircraft": {
"iata_code": "380",
"id": "arc_00009UhD4ongolulWd91Ky",
"name": "Airbus Industries A380"
},
"arriving_at": "2020-06-13T16:38:02",
"departing_at": "2020-06-13T16:38:02",
"destination": {
"city": {
"iata_code": "NYC",
"iata_country_code": "US",
"id": "cit_nyc_us",
"name": "New York"
},
"city_name": "New York",
"iata_city_code": "NYC",
"iata_code": "JFK",
"iata_country_code": "US",
"icao_code": "KJFK",
"id": "arp_jfk_us",
"latitude": 40.640556,
"longitude": -73.778519,
"name": "John F. Kennedy International Airport",
"time_zone": "America/New_York"
},
"destination_terminal": "5",
"distance": "424.2",
"duration": "PT02H26M",
"id": "xxx_00009hthhsUZ8W4LxQgkjo",
"marketing_carrier": {
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage",
"iata_code": "BA",
"id": "arl_00001876aqC8c5umZmrRds",
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",
"name": "British Airways"
},
"marketing_carrier_flight_number": "1234",
"operating_carrier": {
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage",
"iata_code": "BA",
"id": "arl_00001876aqC8c5umZmrRds",
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",
"name": "British Airways"
},
"operating_carrier_flight_number": "4321",
"origin": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"origin_terminal": "B",
"passengers": [
{
"baggages": [
{
"quantity": 1,
"type": "checked"
}
],
"cabin_class": "economy",
"cabin_class_marketing_name": "Economy Basic",
"passenger_id": "passenger_0",
"seat": {
"designator": "14B",
"disclosures": [
"Do not seat children in exit row seats",
"Do not seat passengers with special needs in exit row seats"
],
"name": "Exit row seat"
}
}
]
}
]
}
],
"remove": [
{
"destination": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"destination_type": "airport",
"duration": "PT02H26M",
"fare_brand_name": "Basic",
"id": "xxx_00009hthhsUZ8W4LxQgkjo",
"origin": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"origin_type": "airport",
"segments": [
{
"aircraft": {
"iata_code": "380",
"id": "arc_00009UhD4ongolulWd91Ky",
"name": "Airbus Industries A380"
},
"arriving_at": "2020-06-13T16:38:02",
"departing_at": "2020-06-13T16:38:02",
"destination": {
"city": {
"iata_code": "NYC",
"iata_country_code": "US",
"id": "cit_nyc_us",
"name": "New York"
},
"city_name": "New York",
"iata_city_code": "NYC",
"iata_code": "JFK",
"iata_country_code": "US",
"icao_code": "KJFK",
"id": "arp_jfk_us",
"latitude": 40.640556,
"longitude": -73.778519,
"name": "John F. Kennedy International Airport",
"time_zone": "America/New_York"
},
"destination_terminal": "5",
"distance": "424.2",
"duration": "PT02H26M",
"id": "xxx_00009hthhsUZ8W4LxQgkjo",
"marketing_carrier": {
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage",
"iata_code": "BA",
"id": "arl_00001876aqC8c5umZmrRds",
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",
"name": "British Airways"
},
"marketing_carrier_flight_number": "1234",
"operating_carrier": {
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage",
"iata_code": "BA",
"id": "arl_00001876aqC8c5umZmrRds",
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",
"name": "British Airways"
},
"operating_carrier_flight_number": "4321",
"origin": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"origin_terminal": "B",
"passengers": [
{
"baggages": [
{
"quantity": 1,
"type": "checked"
}
],
"cabin_class": "economy",
"cabin_class_marketing_name": "Economy Basic",
"passenger_id": "passenger_0",
"seat": {
"designator": "14B",
"disclosures": [
"Do not seat children in exit row seats",
"Do not seat passengers with special needs in exit row seats"
],
"name": "Exit row seat"
}
}
]
}
]
}
]
}
}
],
"conditions": {
"change_before_departure": {
"allowed": true,
"penalty_amount": "100.00",
"penalty_currency": "GBP"
},
"refund_before_departure": {
"allowed": true,
"penalty_amount": "100.00",
"penalty_currency": "GBP"
}
},
"created_at": "2020-04-11T15:48:11.642Z",
"documents": [
{
"passenger_ids": [
"pas_00009hj8USM7Ncg31cBCLL"
],
"type": "electronic_ticket",
"unique_identifier": "1252106312810"
}
],
"id": "ord_00009hthhsUZ8W4LxQgkjo",
"live_mode": false,
"metadata": {
"customer_prefs": "window seat",
"payment_intent_id": "pit_00009htYpSCXrwaB9DnUm2"
},
"offer_id": "off_00009htYpSCXrwaB9DnUm0",
"owner": {
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage",
"iata_code": "BA",
"id": "arl_00001876aqC8c5umZmrRds",
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",
"name": "British Airways"
},
"passengers": [
{
"born_on": "1987-07-24",
"email": "amelia@duffel.com",
"family_name": "Earhart",
"gender": "f",
"given_name": "Amelia",
"id": "pas_00009hj8USM7Ncg31cBCLL",
"infant_passenger_id": "pas_00009hj8USM8Ncg32aTGHL",
"loyalty_programme_accounts": [
{
"account_number": "12901014",
"airline_iata_code": "BA"
}
],
"phone_number": "+442080160509",
"title": "mrs",
"type": "adult"
}
],
"payment_status": {
"awaiting_payment": true,
"paid_at": "2020-01-17T10:42:14.545Z",
"payment_required_by": "2020-01-17T10:42:14.545Z",
"price_guarantee_expires_at": "2020-01-17T10:42:14.545Z"
},
"services": [
{
"id": "ser_00009UhD4ongolulWd9123",
"metadata": {
"type": "checked",
"maximum_depth_cm": 75,
"maximum_height_cm": 90,
"maximum_length_cm": 90,
"maximum_weight_kg": 23
},
"passenger_ids": [
"pas_00009hj8USM7Ncg31cBCLL"
],
"quantity": 1,
"segment_ids": [
"seg_00009hj8USM7Ncg31cB456"
],
"total_amount": "15.00",
"total_currency": "GBP",
"type": "seat"
}
],
"slices": [
{
"conditions": {
"change_before_departure": {
"allowed": true,
"penalty_amount": "100.00",
"penalty_currency": "GBP"
}
},
"destination": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"destination_type": "airport",
"duration": "PT02H26M",
"id": "sli_00009htYpSCXrwaB9Dn123",
"origin": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"origin_type": "airport",
"segments": [
{
"aircraft": {
"iata_code": "380",
"id": "arc_00009UhD4ongolulWd91Ky",
"name": "Airbus Industries A380"
},
"arriving_at": "2020-06-13T16:38:02",
"departing_at": "2020-06-13T16:38:02",
"destination": {
"city": {
"iata_code": "NYC",
"iata_country_code": "US",
"id": "cit_nyc_us",
"name": "New York"
},
"city_name": "New York",
"iata_city_code": "NYC",
"iata_code": "JFK",
"iata_country_code": "US",
"icao_code": "KJFK",
"id": "arp_jfk_us",
"latitude": 40.640556,
"longitude": -73.778519,
"name": "John F. Kennedy International Airport",
"time_zone": "America/New_York"
},
"destination_terminal": "5",
"distance": "424.2",
"duration": "PT02H26M",
"id": "seg_00009htYpSCXrwaB9Dn456",
"marketing_carrier": {
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage",
"iata_code": "BA",
"id": "arl_00001876aqC8c5umZmrRds",
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",
"name": "British Airways"
},
"marketing_carrier_flight_number": "1234",
"operating_carrier": {
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage",
"iata_code": "BA",
"id": "arl_00001876aqC8c5umZmrRds",
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",
"name": "British Airways"
},
"origin": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"origin_terminal": "B",
"passengers": [
{
"baggages": [
{
"quantity": 1,
"type": "checked"
}
],
"cabin_class": "economy",
"cabin_class_marketing_name": "Economy Basic",
"passenger_id": "passenger_0",
"seat": {
"designator": "14B",
"disclosures": [
"Do not seat children in exit row seats",
"Do not seat passengers with special needs in exit row seats"
],
"name": "Exit row seat"
}
}
],
"operating_carrier_flight_number": "4321",
"stops": [
{
"airport": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"arriving_at": "2020-06-13T16:38:02",
"departing_at": "2020-06-13T16:38:02",
"duration": "PT02H26M",
"id": "sto_00009htYpSCXrwaB9Dn456"
}
]
}
],
"fare_brand_name": "Basic"
}
],
"synced_at": "2020-04-11T15:48:11Z",
"tax_amount": "30.20",
"tax_currency": "GBP",
"total_amount": "90.80",
"total_currency": "GBP",
"void_window_ends_at": "2020-04-11T15:48:11Z",
"available_actions": [
"cancel",
"update"
],
"booking_references": [
{
"booking_reference": "RZPNX8",
"carrier": {
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage",
"iata_code": "BA",
"id": "arl_00001876aqC8c5umZmrRds",
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",
"name": "British Airways"
}
}
],
"content": "self_managed",
"intended_payment_methods": [
{
"card_id": "tcd_0000A3t2sL46m5eDF45kWW",
"charge_amount": "500.20",
"charge_currency": "GBP",
"surcharge_amount": "30.20",
"surcharge_currency": "GBP",
"type": "card"
}
],
"tax_breakdown": [
{
"amount": "26.00",
"carrier_imposed": false,
"code": "GB",
"currency": "GBP",
"description": "UK Air Passenger Duty, an excise duty charged on each passenger departing from a UK airport, banded by distance and cabin.",
"name": "UK Air Passenger Duty"
}
],
"type": "instant",
"users": [
"icu_00009htyDGjIfajdNBZRlw"
]
},
"meta": {
"after": "<string>",
"before": "<string>",
"limit": 123
}
}Request contract
- Method and path: POST /apis/v1/duffel/flights/orders/create
- Availability: enabled
- Request URL template: https://api.aisa.one/apis/v1/duffel/flights/orders/create
- Runtime facts: d0ae990bcd8ea1a75abd7e4a4e47260a24ab01e5c2b9d2fcc0366eae9f069f96
{
"operationId": "post_duffel_orders_create",
"method": "POST",
"path": "/apis/v1/duffel/flights/orders/create",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"properties": {
"data": {
"properties": {
"metadata": {
"description": "Metadata contains a set of key-value pairs that you can attach to an\nobject. It can be useful for storing additional information about the\nobject, in a structured format. Duffel does not use this information.\nYou should not store sensitive information in this field.\n\nThe metadata is a collection of key-value pairs, both of which are strings.\nYou can store a maximum of 50 key-value pairs, where each key has a maximum\nlength of 40 characters and each value has a maximum length of 500 characters.\n\nKeys must only contain numbers, letters, dashes, or underscores.\n",
"example": {
"payment_intent_id": "pit_00009htYpSCXrwaB9DnUm2"
},
"type": "object"
},
"passengers": {
"description": "The personal details of the passengers, expanding on the information initially provided when creating the offer request",
"items": {
"properties": {
"born_on": {
"description": "The passenger's date of birth",
"example": "1987-07-24",
"format": "date",
"type": "string"
},
"email": {
"description": "The passenger's email address",
"example": "amelia@duffel.com",
"type": "string"
},
"family_name": {
"description": "The passenger's family name. Only `space`, `-`, `'`, and letters from the [`ASCII`](https://www.unicode.org/charts/PDF/U0000.pdf), [`Latin-1 Supplement`](https://www.unicode.org/charts/PDF/U0080.pdf) and [`Latin Extended-A`](https://www.unicode.org/charts/PDF/U0100.pdf) (with the exceptions of `Æ`, `æ`, `IJ`, `ij`, `Œ`, `œ`, `Þ`, and `ð`) Unicode charts are accepted. All other characters will result in a validation error. The minimum length is 1 or 2 characters, and the maximum, combined with `given_name`, is 40 characters. The requirements vary by airline. We recommend using a minimum length of 2.",
"example": "Earhart",
"type": "string"
},
"gender": {
"description": "The passenger's gender",
"enum": [
"m",
"f"
],
"example": "f",
"type": "string"
},
"given_name": {
"description": "The passenger's given name. Only `space`, `-`, `'`, and letters from the [`ASCII`](https://www.unicode.org/charts/PDF/U0000.pdf), [`Latin-1 Supplement`](https://www.unicode.org/charts/PDF/U0080.pdf) and [`Latin Extended-A`](https://www.unicode.org/charts/PDF/U0100.pdf) (with the exceptions of `Æ`, `æ`, `IJ`, `ij`, `Œ`, `œ`, `Þ`, and `ð`) Unicode charts are accepted. All other characters will result in a validation error. The minimum length is 1 or 2 characters, and the maximum, combined with `family_name`, is 40 characters. The requirements vary by airline. We recommend using a minimum length of 2.",
"example": "Amelia",
"type": "string"
},
"id": {
"description": "The `id` of the passenger, returned when the [offer request](/docs/api/offer-requests) was created",
"example": "pas_00009hj8USM7Ncg31cBCLL",
"type": "string"
},
"identity_documents": {
"description": "The passenger's identity documents. You may only provide one identity document per type per passenger.\nThe identity document's type supported by the airline can be found in the offer's `supported_passenger_identity_document_types`.\nIf the offer's `passenger_identity_documents_required` is set to `true`, then a passport document must be provided.",
"items": {
"properties": {
"expires_on": {
"description": "Must only be provided for `passport` type. The date on which the identity document expires",
"example": "2025-04-25",
"format": "date",
"type": "string"
},
"issuing_country_code": {
"description": "Must only be provided for `passport`, `known_traveler_number`, and `passenger_redress_number` types. The [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) code of the country that issued this identity document",
"example": "GB",
"format": "ISO 3166-1 alpha-2",
"type": "string"
},
"type": {
"description": "The type of the identity document. Currently, the only supported types are `passport`, `tax_id`, `known_traveler_number`, and `passenger_redress_number`.\nThe identity document's type supported by the airline can be found in the offer's `supported_passenger_identity_document_types`.",
"enum": [
"passport",
"tax_id",
"known_traveler_number",
"passenger_redress_number"
],
"example": "passport",
"type": "string"
},
"unique_identifier": {
"description": "The unique identifier of the identity document. e.g. the passport number.",
"example": "19KL56147",
"type": "string"
}
},
"required": [
"expires_on",
"issuing_country_code",
"type",
"unique_identifier"
],
"title": "Order Request Passenger Identity Document",
"type": "object"
},
"type": [
"array",
"null"
]
},
"infant_passenger_id": {
"description": "Infant passengers, with an `age` of 0 or 1, must be associated with an adult passenger. This field should be used to make this association. It should contain the `id` of the infant passenger as returned in the [offer request](/docs/api/offer-requests).",
"example": "pas_00009hj8USM8Ncg32aTGHL",
"type": "string"
},
"phone_number": {
"description": "The passenger's phone number in [E.164](https://www.twilio.com/docs/glossary/what-e164) (international) format",
"example": "+442080160509",
"type": "string"
},
"title": {
"description": "The passenger's title (the `dr` title is not supported by certain airlines, where a [`ValidationError`](/docs/api/overview/response-handling) will be returned instead if used)",
"enum": [
"mr",
"ms",
"mrs",
"miss",
"dr"
],
"example": "mrs",
"type": "string"
},
"user_id": {
"description": "Creates an association between the passenger and a previously created user.\n\nThis is intended to allow passengers the ability to manage their own orders.\n",
"example": "icu_00009htyDGjIfajdNBZRlw",
"type": "string"
}
},
"required": [
"id",
"given_name",
"family_name",
"gender",
"title",
"born_on",
"email",
"phone_number"
],
"title": "Order Request Passenger",
"type": "object"
},
"type": "array"
},
"payments": {
"description": "The payment details to use to pay for the order. This key should be omitted when the order’s `type` is `hold`.",
"items": {
"properties": {
"amount": {
"description": "The amount of the payment. This should be the same as the `total_amount` of the offer specified in `selected_offers`, plus the `total_amount` of all the services specified in `services`.",
"example": "30.20",
"type": "string"
},
"currency": {
"description": "The currency of the `amount`, as an [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency code. This should be the same as the `total_currency` of the offer specified in `selected_offers`.",
"example": "GBP",
"format": "ISO 4217",
"type": "string"
},
"three_d_secure_session_id": {
"description": "The `id` of the 3DSecure Session ID. This is the authentication when paying by [card](/docs/api/v2/card).",
"example": "3ds_0000AWr2XsTRIF1Vp34gh5",
"type": "string"
},
"type": {
"description": "The type of payment you want to apply to the order. If you are an IATA agent with your own agreements with airlines, in some cases, you can pay using ARC/BSP cash by specifying `arc_bsp_cash`.\nYou can pay using your Duffel account's balance by specifying `balance`. Otherwise, you can pay by [card](docs/api/v2/card). In [test mode](/docs/api/overview/test-mode), your balance is unlimited.\nIf you're not sure which of these options applies to you, get in touch with the Duffel support team at <help@duffel.com>.",
"enum": [
"arc_bsp_cash",
"balance",
"card"
],
"example": "balance",
"type": "string"
}
},
"required": [
"type",
"amount",
"currency"
],
"type": "object"
},
"type": "array"
},
"selected_offers": {
"description": "The `id`s of the offers you want to book. You must specify an array containing exactly one selected offer.\n\nNote that you can only book one offer per offer request.\n",
"items": {
"example": "off_00009htyDGjIfajdNBZRlw",
"type": "string"
},
"type": "array"
},
"services": {
"description": "The services you want to book along with the first selected offer.\n\nIf the offer was priced with `intended_services`, you must either send those same\nservices here or omit this key entirely. Any other set of services is rejected.\n",
"items": {
"properties": {
"id": {
"description": "The `id` of the service from the offer's `available_services` that you want to book",
"example": "ase_00009hj8USM7Ncg31cB123",
"type": "string"
},
"quantity": {
"description": "The quantity of the service to book. This will always be `1` for seat services.",
"example": 1,
"minimum": 1,
"type": "integer"
}
},
"required": [
"id",
"quantity"
],
"title": "Order Request Service",
"type": "object"
},
"type": "array"
},
"type": {
"description": "The type of order. You can only use `hold` with offers where `payment_requirements.requires_instant_payment` is `false`.\n\nWhen booking an offer with type `hold`, do not specify `payments` key.\n",
"enum": [
"instant",
"hold"
],
"example": "instant",
"type": "string"
},
"users": {
"description": "The `id`s of users that would be allowed to manage the order.\n",
"items": {
"example": "icu_00009htyDGjIfajdNBZRlw",
"type": "string"
},
"type": "array"
}
},
"required": [
"selected_offers",
"passengers",
"payments"
],
"title": "Body parameters",
"type": "object"
}
},
"required": [
"data"
],
"type": "object"
}
}
},
"required": true
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_usd",
"customer_multiplier": 1.05,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 315.0,
"estimate_source": "profile_seed",
"evidence_source": "response_body"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Usage-based billing; Default request estimate: $315 USD (not a fixed price). Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 315.0
- Cost contract: response_usd
- Published reference multiplier: 1.05
- Settlement evidence source: response_body